Puppet Enterprise、razor-server和pe-razor-server代码执行漏洞

CVE编号

CVE-2018-6512

利用情况

暂无

补丁情况

N/A

披露时间

2018-06-12
漏洞描述
Puppet Enterprise、razor-server和pe-razor-server都是美国Puppet实验室的产品。Puppet Enterprise是一套基于客户端/服务器(C/S)架构的配置管理工具。razor-server和pe-razor-server都是用于部署裸机和虚拟系统的高级配置应用程序。
Puppet Enterprise 2018.1.1之前的2018.1.x版本、razor-server 1.9.0.0之前版本和pe-razor-server 1.9.0.0之前版本中存在安全漏洞。攻击者可利用该漏洞执行代码。
解决建议
厂商已发布了漏洞修复程序,请及时关注更新:
https://puppet.com/security/cve/CVE-2018-6512
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 puppet pe-razor-server * Up to
(excluding)
1.9.0.0
运行在以下环境
应用 puppet puppet_enterprise * From
(including)
2018.1.0
Up to
(excluding)
2018.1.1
运行在以下环境
应用 puppet razor-server * Up to
(excluding)
1.9.0.0
CVSS3评分
9.8
  • 攻击路径
    网络
  • 攻击复杂度
  • 权限要求
  • 影响范围
    未更改
  • 用户交互
  • 可用性
  • 保密性
  • 完整性
CWE-ID 漏洞类型
CWE-94 对生成代码的控制不恰当(代码注入)
阿里云安全产品覆盖情况